I'm trying to blog some of the random little things that have come across in the last few months/weeks, in hope it will help others.

 

Of those random things that occured was trying to run the vSphere Agent Pre Upgrade Checker, that is part of the pre installation steps of upgrading vSphere.

The problem was when running the AgentUpgradeChecker.exe I was getting the following error message:

"AgentUpgradeChecker has encountered a problem and needs to close."

  

 

I was running it from a network location and this appeared to be causing the problem.

 

Fix:

Copy the "agentupgradecheck" folder from the "VMware-VIMSetup-all-4.1.0-259021\vpx\" network location
To a local directory on the server.
Run the upgrade checker again and there you go....

 

 

 

 

 

Share this blog post on social media:

Social Links

Disclaimer

All advice, installation/configuration how to guides, troubleshooting and other information on this website are provided as-is with no warranty or guarantee. Whilst the information provided is correct to the best of my knowledge, I am not reponsible for any issues that may arise using this information, and you do so at your own risk. As always before performing anything; check, double check, test and always ensure you have a backup.

Copyright ©2016 Andy Barnes - Please do not copy any content including images without prior consent!

Designed and Hosted by Andy Barnes